RecoveryProgress (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je

## Enum RecoveryProgress

- java.lang.Object
- - java.lang.Enum<RecoveryProgress>
  - - com.sleepycat.je.RecoveryProgress

- All Implemented Interfaces:
    Serializable, Comparable<RecoveryProgress>

      public enum RecoveryProgress
      extends Enum<RecoveryProgress>

  Describes the different phases of initialization that be executed when an Environment is instantiated. Meant to be used in conjunction with a `ProgressListener` that is configured through `EnvironmentConfig.setRecoveryProgressListener(com.sleepycat.je.ProgressListener<com.sleepycat.je.RecoveryProgress>)` to monitor the cost of environment startup
  Since:
    5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BECOME_CONSISTENT` For replicated systems only: if a replica, process enough of the replication stream so that the environment fulfills the required consistency policy, as defined by parameters passed to the ReplicatedEnvironment constructor.
    `CKPT` Perform a checkpoint to make all the work of this environment startup persistent, so it is not repeated in future startups.
    `FIND_END_OF_LOG` Find the last valid entry in the database log.
    `FIND_LAST_CKPT` Find the last complete checkpoint in the database log.
    `FIND_MASTER` For replicated systems only: locate the master of the replication group by querying others in the group, and holding an election if necessary.
    `POPULATE_UTILIZATION_PROFILE` Populate internal metadata which stores information about the utilization level of each log file, for efficient log cleaning.
    `READ_DATA_INFO` Read log entries that pertain to the database indices.
    `READ_DBMAP_INFO` Read log entries that pertain to the database map, which is an internal index of all databases.
    `RECOVERY_FINISHED` Basic recovery is completed, and the environment is able to service operations.
    `REDO_DATA_INFO` Re-read log entries that pertain to the database indices when they appear after a btree split.
    `REDO_DATA_RECORDS` Repeat committed data operations, such as inserts, updates and deletes.
    `REDO_DBMAP_INFO` Re-read log entries that pertain to the database map when they appear after a btree split.
    `REDO_DBMAP_RECORDS` Redo committed database creation, deletion and truncations.
    `REMOVE_TEMP_DBS` Remove temporary databases created by the application that are no longer valid.
    `UNDO_DATA_RECORDS` Rollback uncommitted data operations, such as inserts, updates and deletes.
    `UNDO_DBMAP_RECORDS` Rollback uncommitted database creation, deletion and truncations.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RecoveryProgress` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RecoveryProgress[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIND_END_OF_LOG

          public static final RecoveryProgress FIND_END_OF_LOG

      Find the last valid entry in the database log.

    - #### FIND_LAST_CKPT

          public static final RecoveryProgress FIND_LAST_CKPT

      Find the last complete checkpoint in the database log.

    - #### READ_DBMAP_INFO

          public static final RecoveryProgress READ_DBMAP_INFO

      Read log entries that pertain to the database map, which is an internal index of all databases.

    - #### REDO_DBMAP_INFO

          public static final RecoveryProgress REDO_DBMAP_INFO

      Re-read log entries that pertain to the database map when they appear after a btree split.

    - #### UNDO_DBMAP_RECORDS

          public static final RecoveryProgress UNDO_DBMAP_RECORDS

      Rollback uncommitted database creation, deletion and truncations.

    - #### REDO_DBMAP_RECORDS

          public static final RecoveryProgress REDO_DBMAP_RECORDS

      Redo committed database creation, deletion and truncations.

    - #### READ_DATA_INFO

          public static final RecoveryProgress READ_DATA_INFO

      Read log entries that pertain to the database indices.

    - #### REDO_DATA_INFO

          public static final RecoveryProgress REDO_DATA_INFO

      Re-read log entries that pertain to the database indices when they appear after a btree split.

    - #### UNDO_DATA_RECORDS

          public static final RecoveryProgress UNDO_DATA_RECORDS

      Rollback uncommitted data operations, such as inserts, updates and deletes.

    - #### REDO_DATA_RECORDS

          public static final RecoveryProgress REDO_DATA_RECORDS

      Repeat committed data operations, such as inserts, updates and deletes.

    - #### POPULATE_UTILIZATION_PROFILE

          public static final RecoveryProgress POPULATE_UTILIZATION_PROFILE

      Populate internal metadata which stores information about the utilization level of each log file, for efficient log cleaning.

    - #### REMOVE_TEMP_DBS

          public static final RecoveryProgress REMOVE_TEMP_DBS

      Remove temporary databases created by the application that are no longer valid.

    - #### CKPT

          public static final RecoveryProgress CKPT

      Perform a checkpoint to make all the work of this environment startup persistent, so it is not repeated in future startups.

    - #### RECOVERY_FINISHED

          public static final RecoveryProgress RECOVERY_FINISHED

      Basic recovery is completed, and the environment is able to service operations.

    - #### FIND_MASTER

          public static final RecoveryProgress FIND_MASTER

      For replicated systems only: locate the master of the replication group by querying others in the group, and holding an election if necessary.

    - #### BECOME_CONSISTENT

          public static final RecoveryProgress BECOME_CONSISTENT

      For replicated systems only: if a replica, process enough of the replication stream so that the environment fulfills the required consistency policy, as defined by parameters passed to the ReplicatedEnvironment constructor.

  - ### Method Detail

    - #### values

          public static RecoveryProgress[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecoveryProgress c : RecoveryProgress.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecoveryProgress valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.